# SEO Checklist


## Contents of This File

- [Description and Benefits](#description-and-benefits)
- [Installation and Usage](#installation-and-usage)
- [More Information](#more-information)


## Description and Benefits

Search Engines Drive 90% of traffic on the web. The more "findable" your site, the easier it is for you to get customers. This SEO Checklist module provides a list of SEO actions that will maximize the presence of your website in the major search engines.

While this module provides little functionality on its own, it will helps you track the necessary steps to completing the on-page, technical SEO for your website, which is a necessary component of a good online marketing campaign.


## Installation and Usage

The SEO Checklist is installed in the usual way. See [Installing contributed modules](https://www.drupal.org/docs/user_guide/en/extend-module-install.html).

To start using the module, go to `/admin/config/search/seo-checklist`. It will pre-check any completed items it is able to auto detect. Start working through the rest, and click "Save" to save your progress!


## More Information

- A handy companion for this module is the Drupal 8 Search Engine Optimization book by Ben Finklea [DrupalSEOBook.com](http://www.drupalseobook.com/), or the online [Drupal SEO Guide](https://www.volacci.com/drupal-seo-guide).

- To submit any bug reports or feature-or-support requests, see [the module issue queue](http://drupal.org/project/issues/seo_checklist).

- This module may potentially be controversial as many people have ideas about good and bad SEO. If you have an idea of a module or task that should be included, please [file an issue](http://drupal.org/project/issues/seo_checklist).

- Enjoy using the module!
